## sidplay-base 1.0.9

=== debian/changelog ===
sidplay-base (1.0.9-8) unstable; urgency=medium

  * Update copyright file.
  * Update debhelper level to 13:
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.6.0.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 15 Jan 2022 07:52:43 +0100

sidplay-base (1.0.9-7) unstable; urgency=low

  * Update Standards-Version to 3.9.7 and debhelper level to 9
    (closes: 817668).
  * Use 3.0 (quilt) source format and convert C++ fixes to a patch.
  * Use short rules format.
  * Compile with autoreconf to update config files (closes: #744507, #765281).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 12 Mar 2016 20:02:08 +0100

sidplay-base (1.0.9-6) unstable; urgency=low

  * Fix some compiler warnings and lintian warnings/errors.
  * Use new config.guess and config.sub from autotools-dev 20070725.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 03 Nov 2007 11:04:28 +0200

sidplay-base (1.0.9-5) unstable; urgency=low

  * Correct dependencies (closes: #322899).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 17 Aug 2005 23:58:26 +0200

sidplay-base (1.0.9-4) unstable; urgency=low

  * Uncomment AM_MAINTAINER_MODE from configure.in , libsidplay build
    failed with it on hppa if only autoconf installed but automake not.
  * Remove spurious (at least for me) conflicts with sidplay, as they
    work together nicely.
  * Changed email address.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 25 Nov 2004 20:30:53 +0100

sidplay-base (1.0.9-3) unstable; urgency=medium

  * Added manpage for sidplay (closes: #218429), sid2wav (closes: #250090)
    and sidcon.
  * Fixed deprecation and other comparision warnings with gcc 3.x.
  * Cleaned up rules a bit.
  * Bumped Standards-Version to 3.6.1, no changes needed.
  * New maintainer; document maintainer changes in copyright.

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Sat, 14 Aug 2004 20:57:18 +0000

sidplay-base (1.0.9-2) unstable; urgency=low

  * Build depend on a recent version of libsidplay1-dev, for the C++ ABI
    change.
  * debian/control: Conflict only with old versions of sidplay.

 -- Ivo Timmermans <ivo@debian.org>  Sun, 12 Jan 2003 15:45:49 +0100

sidplay-base (1.0.9-1) unstable; urgency=low

  * New upstream release.
      - Plays sids again :)  (Closes: #158977)
  * configure.in: Add AM_MAINTAINER_MODE.
  * debian/rules:
      - Support cross compilation and DEB_BUILD_OPTIONS.
      - New target `maintainerclean' that runs auto*.

 -- Ivo Timmermans <ivo@debian.org>  Mon, 11 Nov 2002 18:51:29 +0100

sidplay-base (1.0.8-1) unstable; urgency=low

  * New upstream release.
  * NMU ack (Closes: #123026, #129225, #133438, #142045)
  * config.{guess,sub}: Updated again.
  * configure.in: Added AC_C_BIGENDIAN test. (Closes: 155223)
  * configure: Ran autoconf.

 -- Ivo Timmermans <ivo@debian.org>  Wed, 14 Aug 2002 17:22:50 +0200

sidplay-base (1.0.4-4.dur.2) unstable; urgency=low

  * NMU on behalf of Will Newton.
  * incremented/changed the version number so it would be higher than that on
    ia64 and m68k.
    (closes: #123026)
  * corrected description.
    (closes: #129225)
  * updated config.{sub,guess}
    (closes: #133438)
  * fixed compile with g++3.0 caused by updating the above files.
    (closes: #142045)

 -- Jason Thomas <jason@debian.org>  Wed, 10 Apr 2002 09:12:21 +1000

sidplay-base (1.0.4-4.dur1) unstable; urgency=low

  * New maintainer.
  * Updated standards version to match current policy.
  * Made buliddep on debhelper later than 2.0.0.

 -- Ivo Timmermans <ivo@debian.org>  Wed, 29 Aug 2001 21:59:13 +0200

sidplay-base (1.0.4-4.dur) unstable; urgency=low

  * Rebuilt to make use of newer libstdc++ (and libsidplay1).

 -- Ulf Jaenicke-Roessler <ujr@debian.org>  Mon, 16 Oct 2000 12:26:55 +0200

sidplay-base (1.0.4-3.dur) unstable; urgency=low

  * Applied (yet?) unofficial `duration' patch by upstream author,
    which adds an option to sidplay (-t) to stop playing after a
    specified time. (Closes:#59333)

 -- Ulf Jaenicke-Roessler <ujr@debian.org>  Fri,  7 Jul 2000 08:04:35 +0200

sidplay-base (1.0.4-2) unstable; urgency=low

  * Added Build-depends: debhelper.

 -- Ulf Jaenicke-Roessler <ujr@debian.org>  Sun, 25 Jun 2000 12:22:25 +0200

sidplay-base (1.0.4-1) unstable; urgency=low

  * New upstream version.

 -- Ulf Jaenicke-Roessler <ujr@debian.org>  Fri,  2 Jun 2000 21:13:56 +0200

sidplay-base (1.0.3-1) unstable; urgency=low

  * New upstream version.

 -- Ulf Jaenicke-Roessler <ujr@debian.org>  Sun, 28 May 2000 23:21:25 +0200

sidplay-base (1.0.2-1) unstable; urgency=low

  * Upstream author had split the old package into libsidplay and
    sidplay-base (the latter with a lower version number - no need
    for an epoch, though, because of the name change).
  * Policy conformance to 3.1.1.1 checked and number raised in
    debian/control. Added Build-Depends for libsidplay1-dev.

 -- Ulf Jaenicke-Roessler <ujr@debian.org>  Fri, 12 May 2000 15:40:57 +0200

sidplay (1.36.35-2) unstable; urgency=low

  * Adapted to policy 3.0.1 (which essentially needed the FHS compliant
    move from /usr/doc to /usr/share/doc). Standard version changed.
  * Link to GPL adjusted for new position.

 -- Ulf Jaenicke-Roessler <ujr@debian.org>  Tue, 12 Oct 1999 23:15:23 +0200

sidplay (1.36.35-1) unstable; urgency=low

  * New upstream version.
  * HVSC homepage URL in package description updated.
  * Shortened rules file by removing several outdated comments.
  * Standards version changed from 2.5.0.0 to 2.5.0.

 -- Ulf Jaenicke-Roessler <ujr@debian.org>  Sat, 19 Jun 1999 12:38:38 +0200

sidplay (1.36.34-oss-1) unstable; urgency=low

  * Upstream patch adds new OSS driver interface. Now 16-bit samples
    work fine on SPARC/Linux with little-endian sound hardware.
  * Include all doc files in debian/docs, not debian/rules.

 -- Ulf Jaenicke-Roessler <ujr@debian.org>  Sat, 17 Apr 1999 17:52:28 +0200

sidplay (1.36.34-4) unstable; urgency=low


