=== debian/control ===
Source: sidplay-base
Section: sound
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Standards-Version: 4.6.0.1
Build-Depends: debhelper-compat (= 13), libsidplay1-dev (>= 1.36.59-3)

Package: sidplay-base
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Music player for tunes from C64 and C128 (console)
 This is a simple music player for C64 and C128 tunes, also known as
 SID tunes. The package includes a program (sid2wav) for creating .wav
 files.
