## sidplay-base 1.0.9-6-alsa1

=== debian/changelog ===
sidplay-base (1.0.9-6-alsa1) unstable; urgency=low

  * Added ALSA driver.

 -- Tommi Saviranta <wnd@iki.fi>  Wed, 16 Jul 2008 20:22:30 +0300
