=== debian/control ===
Source: sidplay-base
Section: sound
Priority: extra
Maintainer: Tommi Saviranta <wnd@iki.fi>
Standards-Version: 3.7.2
Build-Depends: debhelper (>> 4.0.0), libsidplay1-dev (>= 1.36.59-3), libasound2-dev

Package: sidplay-base
Section: user/multimedia
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: Music player for tunes from C64 and C128 (console)
 This is a simple music player for C64 and C128 tunes, also known as
 SID tunes. The package includes a program (sid2wav) for creating .wav
 files.
